Bug 1806039 - config_opts['yum.conf'] was changed to config_opts['dnf.conf'], breaking things
Summary: config_opts['yum.conf'] was changed to config_opts['dnf.conf'], breaking things
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Copr Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-21 21:03 UTC by Ferry Huberts
Modified: 2020-05-05 07:17 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Ferry Huberts 2020-02-21 21:03:02 UTC
Description of problem:
config_opts['yum.conf'] was changed to config_opts['dnf.conf'], breaking things.


Version-Release number of selected component (if applicable):
mock-2.0-2.fc31.noarch
mock-core-configs-32.1-1.fc31.noarch
mock-rpmfusion-free-32.0-1.fc31.noarch
mock-rpmfusion-nonfree-32.0-1.fc31.noarch


How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

I discovered this today.

You can easily reproduce the problem using:
  mock --debug-config -r /etc/mock/fedora-31-x86_64-rpmfusion_free.cfg

When I change config_opts['yum.conf'] into config_opts['dnf.conf'] things work again.



mock configs mentioning yum.conf on my machine:

eol/epel-5-i386.cfg
eol/epel-5-x86_64.cfg
eol/fedora-25-aarch64.cfg
eol/fedora-25-armhfp.cfg
eol/fedora-25-i386.cfg
eol/fedora-25-ppc64.cfg
eol/fedora-25-ppc64le.cfg
eol/fedora-25-s390x.cfg
eol/fedora-25-x86_64.cfg
eol/fedora-26-aarch64.cfg
eol/fedora-26-armhfp.cfg
eol/fedora-26-i386.cfg
eol/fedora-26-ppc64.cfg
eol/fedora-26-ppc64le.cfg
eol/fedora-26-s390x.cfg
eol/fedora-26-x86_64.cfg
eol/fedora-27-aarch64.cfg
eol/fedora-27-armhfp.cfg
eol/fedora-27-i386.cfg
eol/fedora-27-ppc64.cfg
eol/fedora-27-ppc64le.cfg
eol/fedora-27-s390x.cfg
eol/fedora-27-x86_64.cfg
eol/fedora-28-aarch64.cfg
eol/fedora-28-armhfp.cfg
eol/fedora-28-i386.cfg
eol/fedora-28-ppc64.cfg
eol/fedora-28-ppc64le.cfg
eol/fedora-28-s390x.cfg
eol/fedora-28-x86_64.cfg
eol/templates/fedora-29.tpl
epel-6-i386-rpmfusion_free.cfg
epel-6-i386-rpmfusion_nonfree.cfg
epel-6-x86_64-rpmfusion_free.cfg
epel-6-x86_64-rpmfusion_nonfree.cfg
epel-7-ppc64le-rpmfusion_free.cfg
epel-7-ppc64le-rpmfusion_nonfree.cfg
epel-7-ppc64-rpmfusion_free.cfg
epel-7-ppc64-rpmfusion_nonfree.cfg
epel-7-x86_64-rpmfusion_free.cfg
epel-7-x86_64-rpmfusion_nonfree.cfg
epel-8-aarch64-rpmfusion_free.cfg
epel-8-aarch64-rpmfusion_nonfree.cfg
epel-8-ppc64le-rpmfusion_free.cfg
epel-8-ppc64le-rpmfusion_nonfree.cfg
epel-8-x86_64-rpmfusion_free.cfg
epel-8-x86_64-rpmfusion_nonfree.cfg
fedora-30-aarch64-rpmfusion_free.cfg
fedora-30-aarch64-rpmfusion_nonfree.cfg
fedora-30-armhfp-rpmfusion_free.cfg
fedora-30-armhfp-rpmfusion_nonfree.cfg
fedora-30-i386-rpmfusion_free.cfg
fedora-30-i386-rpmfusion_nonfree.cfg
fedora-30-ppc64le-rpmfusion_free.cfg
fedora-30-ppc64le-rpmfusion_nonfree.cfg
fedora-30-x86_64-rpmfusion_free.cfg
fedora-30-x86_64-rpmfusion_nonfree.cfg
fedora-31-aarch64-rpmfusion_free.cfg
fedora-31-aarch64-rpmfusion_nonfree.cfg
fedora-31-armhfp-rpmfusion_free.cfg
fedora-31-armhfp-rpmfusion_nonfree.cfg
fedora-31-i386-rpmfusion_free.cfg
fedora-31-i386-rpmfusion_nonfree.cfg
fedora-31-ppc64le-rpmfusion_free.cfg
fedora-31-ppc64le-rpmfusion_nonfree.cfg
fedora-32-aarch64-rpmfusion_free.cfg
fedora-32-aarch64-rpmfusion_nonfree.cfg
fedora-32-armhfp-rpmfusion_free.cfg
fedora-32-armhfp-rpmfusion_nonfree.cfg
fedora-32-i386-rpmfusion_free.cfg
fedora-32-i386-rpmfusion_nonfree.cfg
fedora-32-ppc64le-rpmfusion_free.cfg
fedora-32-ppc64le-rpmfusion_nonfree.cfg
fedora-32-x86_64-rpmfusion_free.cfg
fedora-32-x86_64-rpmfusion_nonfree.cfg
fedora-rawhide-aarch64-rpmfusion_free.cfg
fedora-rawhide-aarch64-rpmfusion_nonfree.cfg
fedora-rawhide-armhfp-rpmfusion_free.cfg
fedora-rawhide-armhfp-rpmfusion_nonfree.cfg
fedora-rawhide-i386-rpmfusion_free.cfg
fedora-rawhide-i386-rpmfusion_nonfree.cfg
fedora-rawhide-ppc64le-rpmfusion_free.cfg
fedora-rawhide-ppc64le-rpmfusion_nonfree.cfg
fedora-rawhide-x86_64-rpmfusion_free.cfg
fedora-rawhide-x86_64-rpmfusion_nonfree.cfg
opensuse-leap-15.0-aarch64.cfg
opensuse-leap-15.0-x86_64.cfg
opensuse-leap-15.1-aarch64.cfg
site-defaults.cfg
templates/amazonlinux-2.tpl
templates/epel-6.tpl
templates/epel-7.tpl
templates/mageia-6.tpl
templates/mageia-7.tpl
templates/mageia-cauldron.tpl
templates/openmandriva-4.0.tpl
templates/openmandriva-cooker.tpl
templates/openmandriva-rolling.tpl
templates/opensuse-leap-15.1.tpl
templates/opensuse-tumbleweed.tpl
templates/rhel-7.tpl

Comment 1 Ferry Huberts 2020-02-21 21:11:45 UTC
This looks suspicious (in mock-core-configs):

* Fri Feb 07 2020 Pavel Raiskup <praiskup@redhat.com> 32.0-2
- solve yum.conf vs. dnf.conf inconsistency in config and code



IMHO you do NOT change these kinds of things in a released version, you change them in rawhide.
This breaks setups.

Comment 2 Pavel Raiskup 2020-02-21 22:05:51 UTC
Can you please upload the config file which doesn't work for you now?

Comment 3 Pavel Raiskup 2020-02-21 22:07:52 UTC
Ok, I see:
dnf install -y /etc/mock/fedora-31-x86_64-rpmfusion_free.cfg

Comment 5 John Pilkington 2020-02-28 11:50:04 UTC
With F30 fully updated and new mock-rpmfusion-free-32.1-1.fc30.noarch.rpm from koji.rpmfusion  I am still getting

{{{
INFO: enabled HW Info plugin
No matches found for the following disable plugin patterns: local, spacewalk
file:///tmp/tmp.Cc8w9LMQ9U/results/fedora-30-x86_64-rpmfusion_free                                                  0.0  B/s |   0  B     00:00    
Errors during downloading metadata for repository 'local_build_repo':
  - Curl error (37): Couldn't read a file:// file for file:///tmp/tmp.Cc8w9LMQ9U/results/fedora-30-x86_64-rpmfusion_free/repodata/repomd.xml [Couldn't open file /tmp/tmp.Cc8w9LMQ9U/results/fedora-30-x86_64-rpmfusion_free/repodata/repomd.xml]
Error: Failed to download metadata for repo 'local_build_repo': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried
ERROR: Exception(/tmp/tmp.jMGtAYkkPu/mythtv-32.Pre.102.g90a86400ae-100.src.rpm) Config(fedora-30-x86_64) 0 minutes 30 seconds
INFO: Results and/or logs in: /tmp/tmp.Cc8w9LMQ9U/results/fedora-30-x86_64-rpmfusion_free/mythtv-32.Pre.102.g90a86400ae-100
INFO: End chain build: /tmp/tmp.jMGtAYkkPu/mythtv-32.Pre.102.g90a86400ae-100.src.rpm

$ rpm -qa | grep mock
mock-rpmfusion-nonfree-31.2-1.fc30.noarch
mock-rpmfusion-free-32.1-1.fc30.noarch
mock-core-configs-32.1-1.fc30.noarch
mock-2.0-2.fc30.noarch
python2-requests-mock-1.5.2-1.fc29.noarch

}}}

konqueror has no problem in displaying the 'unreadable' 3.0 KiB .xml file.

Comment 6 John Pilkington 2020-02-28 15:16:23 UTC
google suggests that this is a gpg signing error.  Maybe the rpmfusion file from koji, or...?

Comment 7 John Pilkington 2020-02-29 16:34:53 UTC
mock-rpmfusion-free-32.1-1.fc30.noarch  is now in the rpmfusion testing repo.  I reinstalled it from there but still get the

Curl error (37): Couldn't read a file:// file...  Couldn't open file...  when that file appears to be viewable by all.

Comment 8 Pavel Raiskup 2020-03-02 06:41:36 UTC
> I reinstalled it from there but still get the Curl error (37): Couldn't
> read a file:// file...  Couldn't open file...

You seem to be mounting stuff from /tmp directory into bootstrap,
but that doesn't work because systemd-nspawn over-mounts /tmp by
empty directory.  See the docs:

https://github.com/rpm-software-management/mock/wiki/Feature-bootstrap#using-bootstrap-with-local-repositories

I'd suggest to use /var/tmp, or /var/cache, or something which is
not handled by systemd-nspawn.  (also --isolation=simple should help)

I filled this
https://github.com/rpm-software-management/mock/issues/502

Anyways this is different bug, it should have separate bug ID.

Comment 9 John Pilkington 2020-03-02 21:01:32 UTC
Copied from my post today in the initial thread on the Fedora users list: 

This thread was about the failure of a script that uses mock --chain to 
build rpm packages from more than one src.rpm.

There had been a recent update of mock itself, and some of its config 
packages too.  More updates have followed, and my system appears to be 
working again, with a small work-around in the script.

https://github.com/rpm-software-management/mock/issues/501#issuecomment-5...

Comment 10 Fedora Update System 2020-03-11 09:37:06 UTC
FEDORA-2020-e331425193 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e331425193

Comment 11 Fedora Update System 2020-03-11 09:39:45 UTC
FEDORA-EPEL-2020-5a84e15907 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

Comment 12 Fedora Update System 2020-03-11 09:39:58 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

Comment 13 Fedora Update System 2020-03-12 18:49:25 UTC
mock-2.1-1.fc32, mock-core-configs-32.4-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d32d395e18

Comment 14 Fedora Update System 2020-03-12 22:25:45 UTC
mock-2.1-1.el8, mock-core-configs-32.4-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

Comment 15 Fedora Update System 2020-03-12 22:53:37 UTC
mock-2.1-1.fc30, mock-core-configs-32.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e331425193

Comment 16 Fedora Update System 2020-03-12 22:59:18 UTC
mock-2.1-1.fc31, mock-core-configs-32.4-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d952a70712

Comment 17 Fedora Update System 2020-03-12 23:31:45 UTC
mock-2.1-1.el7, mock-core-configs-32.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

Comment 18 Fedora Admin XMLRPC Client 2020-03-17 04:43:17 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 19 Fedora Update System 2020-03-19 00:50:07 UTC
mock-2.1-1.fc32, mock-core-configs-32.4-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2020-03-19 01:44:26 UTC
mock-2.1-1.fc31, mock-core-configs-32.4-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2020-03-26 16:24:18 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

Comment 22 Fedora Update System 2020-03-27 08:02:09 UTC
FEDORA-EPEL-2020-5a84e15907 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

Comment 23 Fedora Update System 2020-03-27 10:41:24 UTC
FEDORA-2020-e331425193 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 24 John Pilkington 2020-03-27 11:33:01 UTC
mock --chain is now working for me in fc30, as it was before this BZ was opened.  But it now needs a workaround as noted in my Comment 9 above.  The command line I am using now includes '--no-bootstrap-chroot --isolation simple'

Comment 25 Pavel Raiskup 2020-03-27 12:34:51 UTC
> The command line I am using now includes '--no-bootstrap-chroot --isolation simple'

Why?  It shouldn't be needed.  Please provide `mock -r <...> --debug-config` output.

Comment 26 John Pilkington 2020-03-27 13:19:45 UTC
Because it works.  My test case just failed on starting the second build in the chain, with the original curl error.

The main build works with the --no-bootstrap-chroot but leaves a bootstrap folder in the builddir.  With the --isolation simple option that doesn't happen. 

I suppose it may be because /tmp is still being used.  --localrepo=/tmp/x

Comment 27 Fedora Update System 2020-03-27 13:23:17 UTC
FEDORA-EPEL-2020-5a84e15907 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 28 Pavel Raiskup 2020-03-27 13:39:23 UTC
> I suppose it may be because /tmp is still being used.  --localrepo=/tmp/x

Yes.  Makes sense.  My recommendation is to move to different directory
(instead of disabling nspawn/bootstrap).  At least until we realize what
to do about this problem (perhaps we could fix mock, so /tmp would be 
allowed - or at least fail as soon as possible with clear message).
Thanks for all the feedback!

Comment 29 Fedora Update System 2020-03-27 13:40:09 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 30 John Pilkington 2020-03-27 13:44:14 UTC
In fact the build script that I am using has moved the localrepo to /var/tmp but also applies the no-bootstrap and isolation options.  I'll try without.  Thanks.

Comment 31 John Pilkington 2020-03-27 14:40:28 UTC
After moving the localrepo from /tmp to /var/tmp my test build completed *without* the no-bootstrap-chroot and isolation options.  But perhaps I should look for simpler srpms...

$ mkdir /var/tmp/x ; mock --root=fedora-30-x86_64-rpmfusion_free --chain --localrepo=/var/tmp/x ../m2vrequantiser-20030929-12.fc30.src.rpm ../dvbcut-0.6.1-29.svn179.fc30.src.rpm

Comment 32 John Pilkington 2020-03-27 22:56:15 UTC
I confirm that with the localrepo in /var/tmp my builds of rpms for MythTV succeeded when all calls to mock were made *without* the no-bootstrap-chroot and isolation workarounds.  rpm sets built under fc30 are now installed and running under both fc30 and el7.   Thanks for the help.

Comment 33 Fedora Update System 2020-04-02 07:53:39 UTC
FEDORA-EPEL-2020-5a84e15907 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

Comment 34 Fedora Update System 2020-04-02 07:55:00 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

Comment 35 Fedora Update System 2020-04-03 20:19:55 UTC
FEDORA-EPEL-2020-5a84e15907 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 36 Fedora Update System 2020-04-03 21:18:25 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 37 Fedora Update System 2020-05-05 05:46:30 UTC
FEDORA-EPEL-2020-5a84e15907 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 38 Fedora Update System 2020-05-05 07:17:29 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.